pixel.hpp File Reference

Representation of a pixel in image processing. More...

`#include <string>`

Go to the source code of this file.

## Classes

struct | claw::graphic::rgb_pixel
| RGB pixel. More...
struct | claw::graphic::rgba_pixel
| RGBA pixel. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::graphic
| Everything about image structures and processing.

## Typedefs

typedef rgb_pixel | claw::graphic::rgb_pixel_8
| A color with 8 bits per component.
typedef rgba_pixel | claw::graphic::rgba_pixel_8
| A color with 8 bits per component and an alpha channel.

## Variables

rgba_pixel | claw::graphic::white_pixel
| The white color.
rgba_pixel | claw::graphic::red_pixel
| The red color.
rgba_pixel | claw::graphic::yellow_pixel
| The yellow color.
rgba_pixel | claw::graphic::magenta_pixel
| The magenta color.

## Detailed Description

Representation of a pixel in image processing.

Author
  Julien Jorge

Definition in file pixel.hpp.